ebook-viewer: "Not a unicode string" when searching table of contents

Bug #1905257 reported by ownedbycats
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
calibre
Fix Released
Undecided
Unassigned

Bug Description

Error log:

calibre, version 5.5.0
ERROR: Unhandled exception: <b>TypeError</b>:Not a unicode string

calibre 5.5 [64bit] embedded-python: True is64bit: True
Windows-10-10.0.19041 Windows ('64bit', 'WindowsPE')
('Windows', '10', '10.0.19041')
Python 3.8.5
Windows: ('10', '10.0.19041', '', 'Multiprocessor Free')
Interface language: None
Successfully initialized third party plugins: Action Chains (0, 1, 0) && Barnes & Noble (1, 2, 16) && Calibre Power Search Plugin (1, 7, 0) && CalibreSpy (1, 0, 83) && Comments Cleaner (1, 3, 0) && Count Pages (1, 11, 0) && Drop Search Results (1, 0, 10) && Embed Comic Metadata (1, 5, 2) && EpubCheck (0, 2, 3) && EpubMerge (2, 11, 0) && Extract ISBN (1, 5, 0) && FanFicFare (3, 25, 8) && Fantastic Fiction (1, 4, 0) && Favourites Menu (1, 0, 5) && Find Duplicates (1, 8, 3) && Generate Cover (2, 0, 0) && GetFileName (0, 1, 1) && Goodreads (1, 5, 1) && Import List (1, 5, 1) && Job Spy (1, 0, 188) && Kindle hi-res covers (0, 5, 0) && Kobo Books (1, 8, 0) && Kobo Utilities (2, 11, 8) && KoboTouchExtended (3, 4, 1) && Library Codes (1, 0, 47) && Manage Series (1, 2, 11) && Modify ePub (1, 6, 1) && MultiColumnSearch (1, 0, 85) && Open With (1, 5, 13) && Quality Check (1, 10, 1) && Reading List (1, 7, 1) && Save To Format (0, 0, 6) && SmartEject (2, 3, 0) && Sum Column (0, 3, 1) && View Manager (1, 6, 0)
Traceback (most recent call last):
  File "<string>", line 5, in primary_contains
TypeError: Not a unicode string

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "calibre\gui2\viewer\toc.py", line 140, in do_search
  File "calibre\gui2\viewer\toc.py", line 240, in search
  File "calibre\gui2\viewer\toc.py", line 222, in find_items
  File "<string>", line 24, in primary_contains
TypeError: Not a unicode string

Thank you!

Revision history for this message
Kovid Goyal (kovid) wrote : Fixed in master

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Changed in calibre:
status: New → Fix Released
Revision history for this message
ownedbycats (ownedbycats) wrote :

I am getting the same bug again, although a different traceback:

Traceback (most recent call last):
  File "calibre\gui2\viewer\toc.py", line 151, in do_search
  File "calibre\gui2\viewer\toc.py", line 252, in search
  File "calibre\gui2\viewer\toc.py", line 234, in find_items
  File "<string>", line 24, in primary_contains
TypeError: Not a unicode string

Thank you!

Changed in calibre:
status: Fix Released → Incomplete
Revision history for this message
ownedbycats (ownedbycats) wrote :

Calibre 5.13 (x64) btw

Revision history for this message
Kovid Goyal (kovid) wrote :

Fixed in branch master. The fix will be in the next release. calibre is usually released every alternate Friday.

 status fixreleased

Changed in calibre:
status: Incomplete → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers